- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP6PrefixIndice Class Reference

`#include <WP6PrefixIndice.h>`

## Public Member Functions
| WP6PrefixIndice (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id)
int | getID () const
unsigned char | getType () const
unsigned char | getFlags () const
unsigned | getDataSize () const
unsigned | getDataOffset () const

## Protected Member Functions
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)

## Private Attributes
int | m_id
unsigned char | m_type
unsigned char | m_flags
unsigned short | m_useCount
unsigned short | m_hideCount
unsigned | m_dataSize
unsigned | m_dataOffset
bool | m_hasChildren

## Constructor & Destructor Documentation

WP6PrefixIndice::WP6PrefixIndice | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id
| ) |  |

## Member Function Documentation

void WP6PrefixIndice::_read | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| protected

Referenced by WP6PrefixIndice().

unsigned WP6PrefixIndice::getDataOffset | ( |  | ) | const
| inline

Referenced by WP6PrefixDataPacket::constructPrefixDataPacket().

unsigned WP6PrefixIndice::getDataSize | ( |  | ) | const
| inline

Referenced by WP6PrefixDataPacket::constructPrefixDataPacket().

unsigned char WP6PrefixIndice::getFlags | ( |  | ) | const
| inline

Referenced by WP6PrefixDataPacket::constructPrefixDataPacket().

int WP6PrefixIndice::getID | ( |  | ) | const
| inline

Referenced by WP6PrefixDataPacket::constructPrefixDataPacket().

unsigned char WP6PrefixIndice::getType | ( |  | ) | const
| inline

Referenced by WP6PrefixDataPacket::constructPrefixDataPacket().

## Member Data Documentation

unsigned WP6PrefixIndice::m_dataOffset
| private

Referenced by _read(), and getDataOffset().

unsigned WP6PrefixIndice::m_dataSize
| private

Referenced by _read(), and getDataSize().

unsigned char WP6PrefixIndice::m_flags
| private

Referenced by _read(), and getFlags().

bool WP6PrefixIndice::m_hasChildren
| private

Referenced by _read().

unsigned short WP6PrefixIndice::m_hideCount
| private

Referenced by _read().

int WP6PrefixIndice::m_id
| private

Referenced by getID().

unsigned char WP6PrefixIndice::m_type
| private

Referenced by _read(), and getType().

unsigned short WP6PrefixIndice::m_useCount
| private

Referenced by _read().

The documentation for this class was generated from the following files:

- WP6PrefixIndice.h
- WP6PrefixIndice.cpp